<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='etherdraw' name='/usr/share/eole/mysql/etherdraw/gen/etherdraw-create.sql' rm='True' mkdir='True'/>
        <service_access service="etherdraw">
            <port port_type="SymLinkOption">etherdraw_port</port>
        </service_access>
    </files>    
    <containers>
        <container name='web'>
        <package>etherdraw-apps</package>
            <service servicelist="etherdraw">etherdraw-apps</service>
            <file filelist='etherdraw' name='/usr/share/eole/nodejs/etherdraw/settings.json' source='etherdraw-settings.json' rm='True'/>
            <file filelist='etherdraw' name='/usr/share/eole/nodejs/etherdraw/eoleDeps.sh' source='etherdraw-eoleDeps.sh' rm='True'/>
            <file filelist='etherdraw' name='/usr/share/eole/nodejs/etherdraw/src/static/html/draw.html' source='etherdraw-draw.html' rm='True'/>
        </container>
    </containers>
    <variables>
        <family name='applications web'>
            <variable name='activer_etherdraw' type='oui/non' description='Activer Etherdraw (dessin collaboratif)'>
                <value>oui</value>
            </variable>
            <variable name="etherdraw_port" type="string" description="Port d'écoute d'etherdraw">
                <value>9004</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='hidden_if_in' source='activer_etherdraw'>
            <param>non</param>
            <target type='filelist'>etherdraw</target>
            <target type='servicelist'>etherdraw</target>
            <target type='variable'>etherdraw_port</target>
        </condition>
    </constraints>
    <help>
        <variable name='activer_etherdraw'>Etherdraw est un logiciel de dessin collaboratif en ligne propulsé par Node.js</variable>
    </help>
</creole>
